Modify

Opened 3 years ago

#18304 new defect

building gzip-1.4 with eglibc

Reported by: whotopia@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Barrier Breaker 14.07
Keywords: gzip eglibc Cc:

Description

gzip won't build with eglibc due to gets related declaration error.

This can be fixed by patching stdio.h.in as follows. However note this patch is untested with uclibc

--- stdio.in.h- 2014-11-06 19:03:33.947174895 +0100
+++ stdio.in.h 2014-11-06 19:04:19.371174476 +0100
@@ -124,8 +124,10 @@ extern int fclose (FILE *stream) _GL_ARG

/* It is very rare that the developer ever has full control of stdin,

so any use of gets warrants an unconditional warning. Assume it is
always declared, since it is required by C89. */

+#if defined gets

#undef gets
_GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");

+#endif

#if @GNULIB_FOPEN@
# if @REPLACE_FOPEN@

Attachments (0)

Change History (0)

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.